Bug 167543 - generated initrd contains multiple faults, and is unable to boot
generated initrd contains multiple faults, and is unable to boot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-netboot (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabio Olive Leite
:
Depends On: 168727
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-04 19:38 EDT by Geir Inge
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 22:20:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patched version of updateDiskless fixing some of the errors listet in this bugreport (6.18 KB, text/plain)
2005-09-05 03:54 EDT, Geir Inge
no flags Details

  None (edit)
Description Geir Inge 2005-09-04 19:38:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
1) image size for initrd file is hardcoded to 10000 in diskless/updateDiskless. This is not enough for some systems

2) No warning/error is given is busybox.anaconda is missing from client os even though it is vital for the net boot.

3) diskless/updateDiskless uses hardcoded CVERS value of 2.3.2 - This must be determined automagicaly from the source os image

4) diskless/updateDiskless uses hardcoded version of 1.1.4 libz  - This must be determined automagicaly from the source os image

5) missing libraries from the initrd file "libblkid.so.1","libselinux.so.1" and "libuuid.so.1"

6) diskless/updateDiskless fakes modprobe by making it a soft link to insmod. This does not work on my setup. Fixed by adding a proper modprobe binary

7) This code in disklessrc can't be right..

echo "Running /sbin/init"
umount /proc
umount /.oldroot/tmp
echo 0x100 > /proc/sys/kernel/real-root-dev
exit

The "umount /proc" line must be after the echo line (?).

8) The disklessrc script failes to load the drivers for my ethernet card (nforce4 onboard ethernet controller (forcedeth driver) 

8) After fixing the above errors, the kerner does a panic after completing the disklessrc script
with the message "(Kernel Panic - not syncing: Attempted to kill init!" it might be missing files/libraries, but it it impossible for me to tell



Version-Release number of selected component (if applicable):
system-config-netboot-0.1.30-1_FC4 and system-config-netboot-0.1.14-1

How reproducible:
Always

Steps to Reproduce:
1. Install system-config-netboot
2. Follow instructons to generate a diskless client 
3. Try to boot the resulting initrd
  

Actual Results:  For every error listed the result is either error messages or kernel panics

Expected Results:  A Successfull netboot

Additional info:

A patched version of updateDiskless and disklessrc fixing most of these errors (not the final kernel panic) is available on request.
Comment 1 Geir Inge 2005-09-05 03:54:31 EDT
Created attachment 118448 [details]
patched version of updateDiskless fixing some of the errors listet in this bugreport
Comment 2 Jason Vas Dias 2005-09-06 09:29:07 EDT
You are using a very old version of system-config-netboot . 
Please use the latest system-config-netboot-0.1.30-1_FC4 version,
currently available from the FC-4 update channel. 
Comment 3 Geir Inge 2005-09-06 13:47:43 EDT
Yes, you where right. I was using the latest
system-config-netboot-0.1.30-1_FC4.noarch.rpm, but yum insists on also installing 
system-config-netboot-0.1.14-1.x86_64.rpm, breaking system-config-netboot

After manually downloading and installing the
system-config-netboot-0.1.30-1_FC4.noarch.rpm file, most of my problems where fixed.

Why is still system-config-netboot-0.1.14-1.x86_64.rpm included on the fedora 4
CD, and availible from yum repros ?


One problem still remains. The netboot generated initrd failed to detect my
network adapter. I have an onboard ethernet controller provided by the nforce4
chipset. To fix this problem I had to edit the "disklessrc" file adding a new
pci class of 0680:

PCICLASS="0200 0280 0680"

in addition, the line 

0x10de  0x0057  "forcedeth"

had to be added to the file /usr/share/hwdata/pcitable.
Comment 4 Jason Vas Dias 2005-09-19 15:57:07 EDT
This problem will be fixed in system-config-netboot-0.1.33+, to be released
in tomorrow's Rawhide + FC-4 updates .
s-c-nb will now search for PCI class 0x680 also.

The complete fix depends on the PCI class 0x680 and PCI ID 0x10de  0x0057 
being in hwdata - hwdata bug 168727 raised.
Comment 5 Jason Vas Dias 2005-09-22 13:43:10 EDT
This bug is now fixed with system-config-netboot-0.1.33, in today's FC-4 updates,
and which also can be downloaded from:
  http://people.redhat.com/~jvdias/system-config-netboot
Comment 6 Fedora Update System 2005-09-22 13:57:13 EDT
From User-Agent: XML-RPC

system-config-netboot-0.1.33-1_FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 7 Bill Nottingham 2006-09-21 22:20:05 EDT
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.

Note You need to log in before you can comment on or make changes to this bug.